Skip to main content
GET
/
v1
/
risk
/
signals
List Risk Signals
curl --request GET \
  --url https://api.truthlocks.com/v1/risk/signals \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.truthlocks.com/v1/risk/signals"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.truthlocks.com/v1/risk/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "device_fingerprint",
      "signal_type": "velocity_anomaly",
      "score": 0.85,
      "details": {
        "ip": "203.0.113.42",
        "country": "US",
        "reason": "multiple_accounts_same_device"
      },
      "entity_type": "user",
      "entity_id": "usr_8f14e45f",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}
{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}
Returns risk signals for the authenticated tenant with cursor-based pagination. Use query parameters to filter by source, signal type, subject, or minimum risk score.

Parameters

source
string
Filter by signal source (e.g. external, login, verification)
signal_type
string
Filter by signal type (e.g. velocity, ato, geo_anomaly)
subject_type
string
Filter by subject type: user, issuer, attestation, session, ip, or device
subject_id
string
Filter by subject ID
min_score
integer
Return only signals with a score greater than or equal to this value (0–100)
limit
integer
Number of results to return (max 100, default 50)
cursor
string
Pagination cursor from a previous response

Authorizations

X-API-Key
string
header
required

API key for machine-to-machine authentication

Query Parameters

source
string

Filter by signal source

signal_type
string

Filter by signal type

entity_type
enum<string>

Filter by entity type

Available options:
user,
device,
ip,
document,
session
entity_id
string

Filter by entity ID

min_score
number<float>

Return only signals with score >= this value

Required range: 0 <= x <= 1
limit
integer
default:50
Required range: x <= 100
cursor
string

Response

List of risk signals

items
object[]
next_cursor
string